CVE-2020-10185

NameCVE-2020-10185
DescriptionThe sync endpoint in YubiKey Validation Server before 2.40 allows remote attackers to replay an OTP. NOTE: this issue is potentially relevant to persons outside Yubico who operate a self-hosted OTP validation service with a non-default configuration such as an open sync pool; the issue does NOT affect YubiCloud.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2141-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
yubikey-val (PTS)buster, stretch2.38-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
yubikey-valsourcejessie2.27-1+deb8u1DLA-2141-1
yubikey-valsource(unstable)(unfixed)

Notes

[buster] - yubikey-val <no-dsa> (Minor issue)
[stretch] - yubikey-val <no-dsa> (Minor issue)
https://www.yubico.com/support/security-advisories/ysa-2020-01/
https://github.com/Yubico/yubikey-val/commit/d0e4db3245deb5ce0c8d7d26069c78071a140286

Search for package or bug name: Reporting problems